#!/usr/bin/env bash

############
# This script initialize stage_topic in the UBS DB ubs_state.
#
# Important - this assumes it is run inside of the ubap_db_init container. Usage: bash /db/scripts/ubap/ubap_init.sh.
#
############

# Exit immediately on failure
set -e

# Create connection string
if [ -z "$RDS_SSLROOTCERT" ] # If not set
then
    PSQL_CONN="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}"
else
    PSQL_CONN="postgresql://${RDS_USER}:${RDS_PASSWORD}@${RDS_WRITER_HOST}:${RDS_PORT}/${RDS_DB}?sslmode=${RDS_SSLMODE}&sslrootcert=${RDS_SSLROOTCERT}"
fi

# Perform init
for filename in /db/ubap_init/${AWS_REGION}/${DEPLOY_ENV}/*
do
    if [ -s "$filename" ]
    then
        # Execute the SQL script
        psql ${PSQL_CONN} -f ${filename}
    fi
done
